/**
  ******************************************************************************
  * @ļ    stm32f10x_dbgmcu.c
  * @    MCD Ӧó
  * @汾    V3.1.0
  * @    06/19/2009
  * @    ļ ṩ DBGMCU ̼.
  * @    ANSON/sweet1985 Email:airanson110@126.com
  * @    21/07/2009
  ******************************************************************************
  * @
  *
  * ̼ṩͻΪƲƷдĲοĿʹͻԼʱ䡣
  * ͻʹñ̼ڿƷϲĽⷨ뵼幫˾еκֱӵĺͼ
  * ΣҲеκ𺦶⳥
  *
  * <h2><center>&; Ȩ 2009 ⷨ뵼幫˾</center></h2>
  * 汾ѧϰӢԭгӦӢԭΪ׼
  */ 

/*  ------------------------------------------------------------------*/
#include "stm32f10x_dbgmcu.h"

/*  --------------------------------------------------------------*/
/* ö --------------------------------------------------------------*/

#define IDCODE_DEVID_Mask    ((uint32_t)0x00000FFF)

/* ú -------------------------------------------------------------*/
/* ñ -----------------------------------------------------------*/
/* úԭ -------------------------------------------------------*/
/* ú -----------------------------------------------------------*/

/**
  * @  豸Уʾ.
  * @  None
  * @  豸Уʾ
  */
uint32_t DBGMCU_GetREVID(void)
{
   return(DBGMCU->IDCODE >> 16);
}

/**
  * @  豸ıʾ.
  * @  û
  * @  豸ıʾ
  */
uint32_t DBGMCU_GetDEVID(void)
{
   return(DBGMCU->IDCODE & IDCODE_DEVID_Mask);
}

/**
  * @  MCUڵģʽָ͵͹ģʽ״̬.
  * @  DBGMCU_Periph: ָ͵͹ģʽ.
  *          ʹֵ:
  *          DBGMCU_SLEEP:     ˯ģʽֵ              
  *          DBGMCU_STOP:      ֹͣģʽֵ               
  *          DBGMCU_STANDBY:   ڴģʽֵ            
  *          DBGMCU_IWDG_STOP: ںֹͣʱֹͣ IWDG          
  *          DBGMCU_WWDG_STOP: ںֹͣʱֹͣ WWDG          
  *          DBGMCU_TIM1_STOP: ںֹͣʱֹͣ TIM1           
  *          DBGMCU_TIM2_STOP: ںֹͣʱֹͣ TIM2          
  *          DBGMCU_TIM3_STOP: ںֹͣʱֹͣ TIM3          
  *          DBGMCU_TIM4_STOP: ںֹͣʱֹͣ TIM4         
  *          DBGMCU_CAN1_STOP: ںֹͣʱֹͣ CAN1 
  *          DBGMCU_I2C1_SMBUS_TIMEOUT: ںֹͣʱֹͣ I2C1 ߳ʱģʽ
  *          DBGMCU_I2C2_SMBUS_TIMEOUT: ںֹͣʱֹͣ I2C2 ߳ʱģʽ
  *          DBGMCU_TIM5_STOP: ںֹͣʱֹͣ TIM5           
  *          DBGMCU_TIM6_STOP: ںֹͣʱֹͣ TIM6          
  *          DBGMCU_TIM7_STOP: ںֹͣʱֹͣ TIM7          
  *          DBGMCU_TIM8_STOP: ںֹͣʱֹͣ TIM8 
  *          DBGMCU_CAN2_STOP: ںֹͣʱֹͣ CAN2  
  * @  NewState: ָڵ͹ģʽ״̬.
  *                  : ENABLE  DISABLE.
  * @  û
  */
void DBGMCU_Config(uint32_t DBGMCU_Periph, FunctionalState NewState)
{
  /*  */
  assert_param(IS_DBGMCU_PERIPH(DBGMCU_Periph));
  assert_param(IS_FUNCTIONAL_STATE(NewState));

  if (NewState != DISABLE)
  {
    DBGMCU->CR |= DBGMCU_Periph;
  }
  else
  {
    DBGMCU->CR &= ~DBGMCU_Periph;
  }
}

/**
  * @}
  */

/**
  * @}
  */

/**
  * @}
  */

/******************* (C) COPYRIGHT 2009 STMicroelectronics *****END OF FILE****/
